import request from "@/utils/request";



export function getSchedulePatientList(params) {
  return request({
    url: "/api/hispatient/list",
    method: "get",
    params:params
  });
}


export function getPatientInfo(params) {
  return request({
    url: "/api/hispatient/get",
    method: "get",
    params:params
  });
}


export function createCaseHistory(params) {
  console.log("params",params)
  return request({
    url: "/api/doctorworkstation/casehistory/create",
    method: "get",
    params:params
  });
}







export function getInitData(params) {
  return request({
    url: "/api/hisprescription/config",
    method: "get",
    params:params
  });
}


export function getDoctors() {
  return request({
    url: "/api/admin/get",
    method: "get",
  });
}



export function createHisPrescription(data, params) {
  return request({
    url: "/api/hisprescription/create",
    method: "post",
    data:data,
    params:params,
  });
}



export function register(params) {
  return request({
    url: "/api/register/get",
    method: "get",
    params:params,
  });
}

export function upload(params) {
  return request({
    url: "/api/upload/get",
    method: "get",
    params:params,
  });
}


export function delHisPrescription(params) {
  return request({
    url: "/api/hisprescription/delete",
    method: "post",
    params:params,
  });
}

export function delHisAdvice(params) {
  return request({
    url: "/api/advice/delete",
    method: "post",
    params:params,
  });
}

export function delHisProject(params) {
  return request({
    url: "/api/project/delete",
    method: "post",
    params:params,
  });
}


export function getHisOrderList() {
  return request({
    url: "/api/hisorder/list",
    method: "get",
  });
}


export function getHisOrder(params) {
  return request({
    url: "/api/hisorder/get",
    method: "get",
    params:params,
  });
}


export function getHisPrescriptionList(params) {
  return request({
    url: "/api/hisprescription/list",
    method: "get",
    params:params,
  });
}


export function getHisPrescriptionInfo(params){
  return request({
    url:"/api/hisprescription/info",
    method:"get",
    params:params
  })
}




export function Refund(params) {
  return request({
    url: "/api/refund/post",
    method: "post",
    params:params,
  });
}




